Package org.jboss.logmanager.handlers

# Enum SyslogHandler.Severity

java.lang.Object
java.lang.Enum<SyslogHandler.Severity>
org.jboss.logmanager.handlers.SyslogHandler.Severity

All Implemented Interfaces:
  `Serializable`, `Comparable<SyslogHandler.Severity>`, `java.lang.constant.Constable`

Enclosing class:
  `SyslogHandler`

public static enum SyslogHandler.Severity extends Enum<SyslogHandler.Severity>
Severity as defined by RFC-5424 (http://tools.ietf.org/html/rfc5424) and RFC-3164 (http://tools.ietf.org/html/rfc3164).

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALERT`
`CRITICAL`
`DEBUG`
`EMERGENCY`
`ERROR`
`INFORMATIONAL`
`NOTICE`
`WARNING`

## Method Summary

Modifier and Type
Method
Description
`static SyslogHandler.Severity`
`fromLevel(Level level)`
Maps a `level` to a `severity`.
`String`
`toString()`
`static SyslogHandler.Severity`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SyslogHandler.Severity[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EMERGENCY

public static final SyslogHandler.Severity EMERGENCY

### ALERT

public static final SyslogHandler.Severity ALERT

### CRITICAL

public static final SyslogHandler.Severity CRITICAL

### ERROR

public static final SyslogHandler.Severity ERROR

### WARNING

public static final SyslogHandler.Severity WARNING

### NOTICE

public static final SyslogHandler.Severity NOTICE

### INFORMATIONAL

public static final SyslogHandler.Severity INFORMATIONAL

### DEBUG

public static final SyslogHandler.Severity DEBUG

## Method Details

### values

public static SyslogHandler.Severity[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SyslogHandler.Severity valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<SyslogHandler.Severity>`

### fromLevel

public static SyslogHandler.Severity fromLevel(Level level)
Maps a `level` to a `severity`. By default returns `INFORMATIONAL`.

Parameters:
  `level` - the level to map
Returns:
  the severity